Retrieves all the db_info_data_task objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

db_info_data_task
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
task_id

Foreign key of the object using his Odyssee Guid Primary Key

globally unique identifier

Optionally required : task_id or task_reference_back_office must be provided

task_reference_back_office

Foreign key of the object using ERP PK when adding/updating db_info_data

string

Optionally required : task_id or task_reference_back_office must be provided

db_info_field_id

globally unique identifier

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field_name

string

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field

db_info_field

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

value

The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields)

string

Required

reference_back_office

The Id/Ref of the back office for this object

string

Max length: 50

sys_logical_delete

sys_logical_delete

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "0749fae3-a80f-4d25-adb9-56705383a9ba",
  "task_id": "8048c336-6d94-4b9a-a625-676822d3b86a",
  "task_reference_back_office": "sample string 3",
  "db_info_field_id": "c9ca8b05-c60e-4800-be46-d719037d1c49",
  "db_info_field_name": "sample string 5",
  "value": "sample string 6",
  "reference_back_office": "sample string 7",
  "sys_logical_delete": true,
  "modified_dateutc": "2026-10-28T21:47:34.8779843+00:00"
}